Debian Bug report logs - #617761
[PATCH] Add support for multiarch

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Steve Langasek <steve.langasek@linaro.org>

Date: Fri, 11 Mar 2011 07:36:09 UTC

Severity: wishlist

Tags: patch

Found in version debhelper/8.1.2

Fixed in version debhelper/8.1.3

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#617761; Package debhelper. (Fri, 11 Mar 2011 07:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@linaro.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Fri, 11 Mar 2011 07:36:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@linaro.org>
To: submit@bugs.debian.org
Subject: [PATCH] Add support for multiarch
Date: Thu, 10 Mar 2011 23:32:18 -0800
[Message part 1 (text/plain, inline)]
Package: debhelper
Version: 8.1.2
Severity: wishlist
Tags: patch
User: vorlon@debian.org
Usertags: multiarch

Hi Joey,

With multiarch support landing soon, I think it makes sense for dh to
default to multiarch directories where possible.  (Though "where possible"
seems to be limited to autoconf; I can't find a standard equivalent to
autoconf's --libdir for any of the other build systems supported by dh.)
Since this is a backwards-incompatible behavior change that will require a
number of other changes to most packages (at minimum, editing debian/control
to set a Pre-Depends on the 'multiarch-support' virtual package), it of
course should only be turned on in a new debhelper compat level; so with the
attached patch I propose to open compat level 9 and set the new multiarch
directories by default.

Questions:

 - Is bumping the dpkg-dev dependency ok, or should we instead
   opportunistically detect the DEB_HOST_MULTIARCH field and fall back to
   /usr/lib otherwise?
 - Do you think adding a new {misc:Pre-Depends} substvar is sensible here?
   Since no one will have this substvar anywhere yet, all affected packages
   will need to update debian/control, so arguably they could be updated to
   declare Pre-Depends: multiarch-support directly; but this would be less
   backportable, and it may be easier for tools to warn about an unused
   substvar than a missing pre-depends?
 - What accompanying documentation would you like for this change?
 - How soon could we have this in unstable? :D

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[0001-Add-support-for-multiarch.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Merged 614731 617761. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 11 Mar 2011 19:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#617761; Package debhelper. (Sat, 12 Mar 2011 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Sat, 12 Mar 2011 18:27:07 GMT) Full text and rfc822 format available.

Message #12 received at 617761@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Steve Langasek <steve.langasek@linaro.org>, 617761@bugs.debian.org
Subject: Re: Bug#617761: [PATCH] Add support for multiarch
Date: Sat, 12 Mar 2011 14:24:42 -0400
[Message part 1 (text/plain, inline)]
Steve Langasek wrote:
>  - Is bumping the dpkg-dev dependency ok, or should we instead
>    opportunistically detect the DEB_HOST_MULTIARCH field and fall back to
>    /usr/lib otherwise?

I've chosen to do both. This way, backporters can simply make a version
of debhelper that drops the dependency, and it will fall back to
non-multiarch behavior.

>  - Do you think adding a new {misc:Pre-Depends} substvar is sensible here?
>    Since no one will have this substvar anywhere yet, all affected packages
>    will need to update debian/control, so arguably they could be updated to
>    declare Pre-Depends: multiarch-support directly; but this would be less
>    backportable, and it may be easier for tools to warn about an unused
>    substvar than a missing pre-depends?

It may be easier if those pre-depends later need to be removed (or
changed). I've kept it for now.

>  - What accompanying documentation would you like for this change?

Taken care of.

>  - How soon could we have this in unstable? :D

After dpkg-dev gets in, and someone checks what's in git and makes sure
it works, ideally.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 12 Mar 2011 18:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#617761; Package debhelper. (Sun, 13 Mar 2011 18:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@linaro.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Sun, 13 Mar 2011 18:39:08 GMT) Full text and rfc822 format available.

Message #19 received at 617761@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@linaro.org>
To: Joey Hess <joeyh@debian.org>
Cc: 617761@bugs.debian.org
Subject: Re: Bug#617761: [PATCH] Add support for multiarch
Date: Sun, 13 Mar 2011 11:38:41 -0700
[Message part 1 (text/plain, inline)]
unmerge 614731 617761
retitle 614731 support for env var substitutions in .install (helps multiarch)
thanks

On Sat, Mar 12, 2011 at 02:24:42PM -0400, Joey Hess wrote:
> Steve Langasek wrote:
> >  - Is bumping the dpkg-dev dependency ok, or should we instead
> >    opportunistically detect the DEB_HOST_MULTIARCH field and fall back to
> >    /usr/lib otherwise?

> I've chosen to do both. This way, backporters can simply make a version
> of debhelper that drops the dependency, and it will fall back to
> non-multiarch behavior.

> >  - Do you think adding a new {misc:Pre-Depends} substvar is sensible here?
> >    Since no one will have this substvar anywhere yet, all affected packages
> >    will need to update debian/control, so arguably they could be updated to
> >    declare Pre-Depends: multiarch-support directly; but this would be less
> >    backportable, and it may be easier for tools to warn about an unused
> >    substvar than a missing pre-depends?

> It may be easier if those pre-depends later need to be removed (or
> changed). I've kept it for now.

> >  - What accompanying documentation would you like for this change?

> Taken care of.

> >  - How soon could we have this in unstable? :D

> After dpkg-dev gets in, and someone checks what's in git and makes sure
> it works, ideally.

Tested here, works ok.  It doesn't look like the separate patch from bug
#614731 has been applied; unmerging that report and giving it a clearer
title (I think that's a worthwhile feature for debhelper to have but it's
not directly support for "multiarch"; and anyway, it's a different feature
to the one that's been committed).

Now back to waiting for dpkg 1.16.0.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'support for env var substitutions in .install (helps multiarch)' from '[PATCH] Add support for multiarch' Request was from Steve Langasek <steve.langasek@linaro.org> to control@bugs.debian.org. (Sun, 13 Mar 2011 18:39:10 GMT) Full text and rfc822 format available.

Disconnected #614731 from all other report(s). Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 13 Mar 2011 18:45:06 GMT) Full text and rfc822 format available.

Changed Bug title to '[PATCH] Add support for multiarch' from 'support for env var substitutions in .install (helps multiarch)' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 14 Mar 2011 20:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#617761; Package debhelper. (Tue, 05 Apr 2011 04:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Tue, 05 Apr 2011 04:33:06 GMT) Full text and rfc822 format available.

Message #30 received at 617761@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 617761@bugs.debian.org
Subject: Re: [PATCH] Add support for multiarch
Date: Mon, 4 Apr 2011 21:31:55 -0700
[Message part 1 (text/plain, inline)]
Hi Joey,

I'm pleased to report that dpkg 1.16.0 has been uploaded to unstable this
weekend:

  http://lists.debian.org/debian-devel-changes/2011/04/msg00106.html

So DEB_HOST_MULTIARCH is now available in unstable, and this should no
longer block debhelper 8.1.3.

Do you know when you might upload 8.1.3?  It would be helpful to have a
rough idea of your plans, since we'd want the dh_makeshlibs change in
unstable before maintainers start uploading any packages that install
libraries to the multiarch paths
(http://wiki.debian.org/Multiarch/Bootstrapping).

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Tue, 05 Apr 2011 17:36:13 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@linaro.org>:
Bug acknowledged by developer. (Tue, 05 Apr 2011 17:36:13 GMT) Full text and rfc822 format available.

Message #35 received at 617761-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 617761-close@bugs.debian.org
Subject: Bug#617761: fixed in debhelper 8.1.3
Date: Tue, 05 Apr 2011 17:32:09 +0000
Source: debhelper
Source-Version: 8.1.3

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_8.1.3.dsc
  to main/d/debhelper/debhelper_8.1.3.dsc
debhelper_8.1.3.tar.gz
  to main/d/debhelper/debhelper_8.1.3.tar.gz
debhelper_8.1.3_all.deb
  to main/d/debhelper/debhelper_8.1.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617761@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 05 Apr 2011 13:09:43 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 8.1.3
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 604727 615553 617761
Changes: 
 debhelper (8.1.3) unstable; urgency=low
 .
   [ Joey Hess ]
   * dh_auto_clean: Inhibit logging, so that, if dh_auto_clean is used
     in some rule other than clean, perhaps to clean up an intermediate
     build before a second build is run, debian/rules clean still runs it.
     Closes: #615553
   * Started work on Debhelper v9. It is still experimental, and more
     changes may be added to that mode.
   * Support multiarch in v9. Thanks, Steve Langasek. Closes: #617761
   * dh_auto_configure: Support multiarch in v9 by passing multiarch
     directories to --libdir and --libexecdir.
   * dh_makeshlibs: Detect packages using multiarch directories and
     make ${misc:Pre-Depends} expand to multiarch-support.
   * Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to backporters:
     If you remove that dependency, debhelper will fall back to not doing
     multiarch stuff in v9 mode, which is probably what you want.
   * Removed old example rules files.
   * dh_installgsettings: New command to handle gsettings schema files.
     Closes: #604727
 .
   [ Valery Perrin ]
   * update french translation.
   * Fix french misspelling.
Checksums-Sha1: 
 1671e763e5a814ce3285cc07c8d7ae0b4976013c 1568 debhelper_8.1.3.dsc
 5e8d12fb68e22c28863c30ebe4d8d452e0cf9da6 380118 debhelper_8.1.3.tar.gz
 eed62c9f18b866507f87f26d5cdfce75c84ead80 554204 debhelper_8.1.3_all.deb
Checksums-Sha256: 
 38165b1261c958eab192f52416c0d3aacb5495c003cf1c2268285fd1596fe917 1568 debhelper_8.1.3.dsc
 ce4a08a008faf4306fcc77f574c2ded1559bde58aa81d2bdc6c4abb90fd4ddec 380118 debhelper_8.1.3.tar.gz
 c891032b30715c85e12dd0dd3e25678ceaaed776ad4e8472f9db01d5c08f0be2 554204 debhelper_8.1.3_all.deb
Files: 
 62874e49423fc9c92401bcb00b8591be 1568 devel optional debhelper_8.1.3.dsc
 e869d8f1c38e374c8ebc54fcf7ca867e 380118 devel optional debhelper_8.1.3.tar.gz
 6f1cb3f7ae7a71fa4a8b02844bbde1e0 554204 devel optional debhelper_8.1.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTZtQjckQ2SIlEuPHAQh5EA/9FJNc253ljWweHPsPU9JQ3B56WGynpVWO
T+t3jic+F6oXZWp8R7+PwBHVeYrRuYMcelok3VJxvXilifDRvOqRgVf90RU+Wy5Y
4hlTtYf8UYKk+sBnW2tXoctC6o5WNNdkMun1UYUyqiRpgB63FTGHWFJA/qE0YjgR
uniRoWHasdhhKRwHC7qmWsS/a5pk1d1tOurZ4AW4/60VK4+nx52s/CZ/2/TIN0m1
NP8lLXUVX5Ibep0IlIlzEuz8gm9KyDvpfuJomcNmPEj4LGSNQ/97DYtoiZYeygF4
fLsLf2VxZLwBHj6lULp3ZX88cWh5nFoPKqR9x10lct/bfbWh6nd0jJG24FGXgG0Z
LmffiilNb37Hvn/lxfTbpOgbwq4/TbT3m08iA0F1FJGVAOAs3XsYrenxvcDCe8Z7
VCdUyVZ0Txlpm6T1Lzduhonyj7/1K6V09OV1x2TRVgdfheRn8Jhd3r3MFhdJr2RC
iLqHu6nTtXh3c4N79o+RHP5gSYlhhaFmdAuEAfYZhfW9gUweJR7+7EhYqGbVX03X
J8IsBYQjhSIpH/hFea0JLX5bp4OGEUUZ9PDNI+OS7gdpvc9S3xel0bRXaGDlhdtG
De+KmNWk5x0UUIIoU/piyPOKnBOqQPlT/GREH1f0eJPM5RrnNIBt0kCkzc7Vzk9a
YVwiB2tfgS4=
=xnmq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 May 2011 07:40:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:23:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.